Skip to main content
`Ctrl`+`K`

# SVDAppendOptionsPrefix

Appends to the prefix used for searching for all `SVD` options in the database.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDAppendOptionsPrefix(SVD svd,const char prefix[])

Logically Collective

## Input Parameters

- svd - the singular value solver context

- prefix - the prefix string to prepend to all `SVD` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

SVD: Singular Value Decomposition, `SVDSetOptionsPrefix()`, `SVDGetOptionsPrefix()`

## Level

advanced

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages